ITfSourceVtbl Struct Reference

`#include <SDL_msctf.h>`

## Public Member Functions

| HRESULT (STDMETHODCALLTYPE *QueryInterface)(ITfSource *
void ** | ULONG (STDMETHODCALLTYPE *AddRef)(ITfSource *)
| ULONG (STDMETHODCALLTYPE *Release)(ITfSource *)
| HRESULT (STDMETHODCALLTYPE *AdviseSink)(ITfSource *
IUnknown DWORD * | HRESULT (STDMETHODCALLTYPE *UnadviseSink)(ITfSource *

## Data Fields

| REFIID
IUnknown DWORD | DWORD

## Detailed Description

Definition at line 228 of file SDL_msctf.h.

## Member Function Documentation

## HRESULT() [1/3]

ITfSourceVtbl::HRESULT | ( | STDMETHODCALLTYPE * | QueryInterface | ) |

## HRESULT() [2/3]

ITfSourceVtbl::HRESULT | ( | STDMETHODCALLTYPE * | AdviseSink | ) |

## HRESULT() [3/3]

IUnknown DWORD* ITfSourceVtbl::HRESULT | ( | STDMETHODCALLTYPE * | UnadviseSink | ) |

## ULONG() [1/2]

void** ITfSourceVtbl::ULONG | ( | STDMETHODCALLTYPE * | AddRef | ) |

## ULONG() [2/2]

ITfSourceVtbl::ULONG | ( | STDMETHODCALLTYPE * | Release | ) |

## Field Documentation

## DWORD

IUnknown DWORD ITfSourceVtbl::DWORD

Definition at line 234 of file SDL_msctf.h.

## REFIID

ITfSourceVtbl::REFIID

Definition at line 230 of file SDL_msctf.h.

The documentation for this struct was generated from the following file:

- src/video/windows/SDL_msctf.h